Bug 225698 - Merge Review: dmidecode
Merge Review: dmidecode
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: dmidecode (Show other bugs)
23
All Linux
medium Severity medium
: ---
: ---
Assigned To: Orcan Ogetbil
Fedora Package Reviews List
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-31 13:28 EST by Nobody's working on this, feel free to take it
Modified: 2016-11-24 05:18 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 10:27:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to resolve this issue (531 bytes, patch)
2009-01-27 11:03 EST, Prarit Bhargava
no flags Details | Diff

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-31 13:28:06 EST
Fedora Merge Review: dmidecode

http://cvs.fedora.redhat.com/viewcvs/devel/dmidecode/
Initial Owner: alan@redhat.com
Comment 1 Robert Scheck 2009-01-13 17:21:38 EST
dmidecode.i386: W: summary-ended-with-dot Tool to analyse BIOS DMI data.
Comment 3 Prarit Bhargava 2009-01-27 11:03:20 EST
Created attachment 330102 [details]
Patch to resolve this issue

I'm waiting for write access to fedora cvs.

I'm also going to ping Alan to see if he wants to remain as the owner.

P.
Comment 4 Robert Scheck 2009-02-09 17:30:54 EST
Prarit, please do not close this bug report until a full formal package review 
has happened and fedora-review+ is set. Both didn't happen, reopening. The bug
report must not to be assigned to you, but to a reviewer; resetting as well.
Comment 5 Orcan Ogetbil 2009-06-07 23:14:52 EDT
I reviewed this package. It just needs very trivial fixes:

* rpmlint says
   dmidecode.src: W: no-version-in-last-changelog
   dmidecode.src:11: E: buildprereq-use /usr/bin/aclocal /usr/bin/automake /usr/bin/autoconf
   dmidecode.src:13: W: unversioned-explicit-obsoletes kernel-utils
   dmidecode.src: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 5)
   dmidecode-debuginfo.x86_64: W: no-version-in-last-changelog
   dmidecode.x86_64: W: no-version-in-last-changelog
   dmidecode.x86_64: W: obsolete-not-provided kernel-utils

These are all easy to fix. Use for instance
   rpmlint -I buildprereq-use
to see what the complaint is about.

* The release tag is a mess. Can we continue with the usual convention?: 2%{?dist}

* Source0 must be full URL (with %{name} and %{version} macros)

- Buildroot is improper but it will be obsoleted soon so it's not a problem.

* We prefer %defattr(-,root,root,-)

* Parallel make must be supported whenever possible. If it is not supported, this should be noted in the SPEC file as a comment.


I added mclasen to the CC since he made the last known build. Sorry if this was not desired.
Comment 6 Orcan Ogetbil 2009-12-09 22:39:55 EST
Ping? The fixes are all rather easy. Please give it a hand so we can close the bug.
Comment 7 Prarit Bhargava 2009-12-18 09:32:19 EST
oget,

For some reason I'm not listed in the ACL for dmidecode :/.  I'll ping jwilson and see what I can figure out ...

P.
Comment 8 Prarit Bhargava 2009-12-18 10:27:26 EST
in 2.1.0-1.40.

P.
Comment 9 Orcan Ogetbil 2009-12-19 03:56:58 EST
Thanks for the update Prarit. I know you did it with good intentions but please don't close a Merge Review until the reviewer sets the "+" flag.

I see that some issues are resolved but some are not. And since the package had updates since I made the initial review, there are additional issues introduced, thus I'm reopening the bug (sorry!)

(For each issue, I am adding the reference to the respective guideline which you can find at the bottom.)

First the old issues and questions: (from comment #5)
> 
> * The release tag is a mess. Can we continue with the usual convention?:
> 2%{?dist} [1]
> 
> * Source0 must be full URL (with %{name} and %{version} macros) [2]
> 
> - Buildroot is improper but it will be obsoleted soon so it's not a problem.
> 
> * We prefer %defattr(-,root,root,-) [3]
> 
> * Parallel make must be supported whenever possible. If it is not supported,
> this should be noted in the SPEC file as a comment. [4]
> 

Also additional issues:

* Usage of $RPM_BUILD_ROOT and %{buildroot} in the spec file is against the macro consistency guideline. Please only use one or the other. [5]

! The patches should be explained and links from upstream bugtracker should be given as comments, if possible. [6]

! BuildRequires:  /usr/bin/aclocal /usr/bin/automake /usr/bin/autoconf
can be replaced by simply
  BuildRequires:  automake autoconf
since file dependencies should be avoided as much as possible. [7]

[1] http://fedoraproject.org/wiki/Packaging:NamingGuidelines#Package_Release
[2] http://fedoraproject.org/wiki/Packaging:SourceURL
[3] https://bugzilla.redhat.com/show_bug.cgi?id=481363
[4] http://fedoraproject.org/wiki/Packaging/Guidelines#Parallel_make
[5] http://fedoraproject.org/wiki/Packaging/Guidelines#macros
[6] http://fedoraproject.org/wiki/Packaging/Guidelines#All_patches_should_have_an_upstream_bug_link_or_comment
[7] http://fedoraproject.org/wiki/Packaging/Guidelines#File_Dependencies
Comment 10 Orcan Ogetbil 2010-02-19 02:53:10 EST
ping? any progress?
Comment 11 Orcan Ogetbil 2010-11-06 02:29:39 EDT
ping 2? is this too hard to fix?
Comment 12 Prarit Bhargava 2010-11-08 11:09:01 EST
Sorry Orcan, this has been very low priority for me.  I'll try to bang this out this week ...

P.
Comment 13 Prarit Bhargava 2010-11-08 14:29:36 EST
(In reply to comment #9)
> Thanks for the update Prarit. I know you did it with good intentions but please
> don't close a Merge Review until the reviewer sets the "+" flag.
> 
> I see that some issues are resolved but some are not. And since the package had
> updates since I made the initial review, there are additional issues
> introduced, thus I'm reopening the bug (sorry!)
> 
> (For each issue, I am adding the reference to the respective guideline which
> you can find at the bottom.)
> 
> First the old issues and questions: (from comment #5)
> > 
> > * The release tag is a mess. Can we continue with the usual convention?:
> > 2%{?dist} [1]

This appears to be the case in the latest spec:

Version:        2.10
Release:        2%{?dist}
Epoch:          1

(or maybe I'm misunderstanding you ...)

> > 
> > * Source0 must be full URL (with %{name} and %{version} macros) [2]

Fixed.

> > 
> > - Buildroot is improper but it will be obsoleted soon so it's not a problem.
> > 
> > * We prefer %defattr(-,root,root,-) [3]

In latest spec:

%files
%defattr(-,root,root)
> > 
> > * Parallel make must be supported whenever possible. If it is not supported,
> > this should be noted in the SPEC file as a comment. [4]
> > 

Done -- added '-j' to make

> 
> Also additional issues:
> 
> * Usage of $RPM_BUILD_ROOT and %{buildroot} in the spec file is against the
> macro consistency guideline. Please only use one or the other. [5]

Done.  Using %{buildroot} only.

> 
> ! The patches should be explained and links from upstream bugtracker should be
> given as comments, if possible. [6]

Okay -- I'm planning on updating dmidecode for Fedora shortly so these patches won't be necessary.  I will make note of this practice for the future ...

> 
> ! BuildRequires:  /usr/bin/aclocal /usr/bin/automake /usr/bin/autoconf
> can be replaced by simply
>   BuildRequires:  automake autoconf
> since file dependencies should be avoided as much as possible. [7]

Ah, cool :)  Done.

> 
> [1] http://fedoraproject.org/wiki/Packaging:NamingGuidelines#Package_Release
> [2] http://fedoraproject.org/wiki/Packaging:SourceURL
> [3] https://bugzilla.redhat.com/show_bug.cgi?id=481363
> [4] http://fedoraproject.org/wiki/Packaging/Guidelines#Parallel_make
> [5] http://fedoraproject.org/wiki/Packaging/Guidelines#macros
> [6]
> http://fedoraproject.org/wiki/Packaging/Guidelines#All_patches_should_have_an_upstream_bug_link_or_comment
> [7] http://fedoraproject.org/wiki/Packaging/Guidelines#File_Dependencies

[Stuck trying to get these changes committed to git ... will ping when it's done]

P.
Comment 14 Orcan Ogetbil 2010-11-11 01:32:48 EST
Thanks for the update!

(In reply to comment #13)
> > > 
> > > * The release tag is a mess. Can we continue with the usual convention?:
> > > 2%{?dist} [1]
> 
> This appears to be the case in the latest spec:
> 
> Version:        2.10
> Release:        2%{?dist}
> Epoch:          1
> 
> (or maybe I'm misunderstanding you ...)
> 

It used to be
  Release: %(R="$Revision: 1.36 $"; RR="${R##: }"; echo ${RR%%?})%{?dist}.1

Now it is good, except your %changelog says it should be 3 instead of 2.

There are 2 more minor issues, then we can approve the package:
1- You use ${buildroot} at 2 places. These should be %{buildroot}. The former is not defined.
2- Please give Source0 with full URL, using %{name}-%{version}. i.e.

http://download.savannah.gnu.org/releases/%{name}/%{name}-%{version}.tar.bz2
Comment 15 Orcan Ogetbil 2010-11-21 23:17:47 EST
Come on Prarit :) you can do it!
Comment 16 Prarit Bhargava 2010-11-22 08:23:35 EST
(In reply to comment #15)
> Come on Prarit :) you can do it!

Sorry Orcan :) ... I pushed a patch last week and I thought I had updated this BZ with the changes :/.  I dunno where my comment went ...

commit d83d739b4b4885115e335908f9832cfea8945ef5
Author: Prarit Bhargava <prarit@redhat.com>
Date:   Wed Nov 10 10:50:28 2010 -0500

    * Mon Nov 08 2010 Prarit Bhargava <prarit@redhat.com> - 1:2.1.0-3
    - updated kernel.spec for review [BZ 225698]

P.
Comment 17 Cole Robinson 2015-02-11 15:36:00 EST
Mass reassigning all merge reviews to their component. For more details, see this FESCO ticket:

  https://fedorahosted.org/fesco/ticket/1269

If you don't know what merge reviews are about, please see:

  https://fedoraproject.org/wiki/Merge_Reviews

How to handle this bug is left to the discretion of the package maintainer.
Comment 18 Jan Kurik 2015-07-15 11:26:58 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23
Comment 19 Anton Arapov 2016-02-24 09:01:03 EST
Orcan, please assign it to me. I will do the proper changes.
Comment 20 Orcan Ogetbil 2016-02-24 23:16:14 EST
Hi Anton,
In the package reviews, including the merge reviews, the bug assignee is the reviewer; in this case that is me. To have a fair review, the person who does the review and the person who does the fixes cannot be the same.

If I assign the bug on you, you will be the new reviewer, and then you will need to find someone else to fix the package. If you want to fix the package, you will need to have the maintainer access, then I (or someone else) can finish the review.
Comment 21 Anton Arapov 2016-03-07 09:09:39 EST
It's OK then... If you have a time, could you go through the spec once again and let me know what should be improved - I will do the changes.

Anton.
Comment 22 Fedora End Of Life 2016-11-24 05:18:01 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.